Author Topic: Debian, PtokaX and Lua 5.2  (Read 3644 times)

0 Members and 1 Guest are viewing this topic.

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Debian, PtokaX and Lua 5.2
« on: 22 April, 2012, 17:26:06 »
Debian wheezy (actual testing) now have Lua 5.2 in repositories. That make PtokaX compile with Lua 5.2 very simple.

Everything is similar to my guide in wiki.

To install Lua 5.2 development files use:
Quote
apt-get install liblua5.2-dev
.

In PtokaX makefile change line:
Quote
INCLUDE = -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.1 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.1
to
Quote
INCLUDE = -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2

And line:
Quote
        $(CURDIR)/tinyxml/tinyxml.a -o PtokaX -lpthread -llua5.1 -lrt -lz
to
Quote
        $(CURDIR)/tinyxml/tinyxml.a -o PtokaX -lpthread -llua5.2 -lrt -lz

With that PtokaX cleanly and without problems compile with Lua 5.2.


Important note, Debian in actual state have NO Lua extensions for Lua 5.2.


But because i'm ported some of them and shared sources you can compile Lua extensions from sources.


Example of compile for luaiconv:
Get my luaiconv source from http://www.PtokaX.org/files/Libs-376/Lua-Iconv-6-src.7z

In makefile change:
Quote
LUAPKG = lua5.1
to
Quote
LUAPKG = lua5.2

Remove line:
Quote
   make test

Compile it with:
Quote
make all

Install it with:
Quote
make install

After that is luaiconv ready to use with Lua 5.2  8)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

PtokaX forum

Debian, PtokaX and Lua 5.2
« on: 22 April, 2012, 17:26:06 »

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: Debian, PtokaX and Lua 5.2
« Reply #1 on: 29 June, 2012, 21:04:52 »
And it is better now. In repositories is Lua 5.2.1 and libs working with Lua 5.2.x ;D
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline ingenious108

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
Make errors
« Reply #2 on: 15 July, 2012, 08:50:52 »
System:
Ubuntu 12.04 LTS amd64


I tried installing with lua 5.2.

Here is the log.
Code: [Select]
varun@strawmetal:~$ sudo apt-get install make
[sudo] password for varun:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
varun@strawmetal:~$ sudo apt-get install g++
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  g++-4.6 libstdc++6-4.6-dev
Suggested packages:
  g++-multilib g++-4.6-multilib gcc-4.6-doc libstdc++6-4.6-dbg libstdc++6-4.6-doc
The following NEW packages will be installed:
  g++ g++-4.6 libstdc++6-4.6-dev
0 upgraded, 3 newly installed, 0 to remove and 2 not upgraded.
Need to get 8,615 kB of archives.
After this operation, 25.4 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://in.archive.ubuntu.com/ubuntu/ precise/main libstdc++6-4.6-dev amd64 4.6.3-1ubuntu5 [1,660 kB]
Get:2 http://in.archive.ubuntu.com/ubuntu/ precise/main g++-4.6 amd64 4.6.3-1ubuntu5 [6,954 kB]                                                                                                                                             
Get:3 http://in.archive.ubuntu.com/ubuntu/ precise/main g++ amd64 4:4.6.3-1ubuntu5 [1,442 B]                                                                                                                                                 
Fetched 8,615 kB in 44s (195 kB/s)                                                                                                                                                                                                           
Selecting previously unselected package libstdc++6-4.6-dev.
(Reading database ... 179449 files and directories currently installed.)
Unpacking libstdc++6-4.6-dev (from .../libstdc++6-4.6-dev_4.6.3-1ubuntu5_amd64.deb) ...
Selecting previously unselected package g++-4.6.
Unpacking g++-4.6 (from .../g++-4.6_4.6.3-1ubuntu5_amd64.deb) ...
Selecting previously unselected package g++.
Unpacking g++ (from .../g++_4%3a4.6.3-1ubuntu5_amd64.deb) ...
Processing triggers for man-db ...
Setting up g++-4.6 (4.6.3-1ubuntu5) ...
Setting up g++ (4:4.6.3-1ubuntu5) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode.
Setting up libstdc++6-4.6-dev (4.6.3-1ubuntu5) ...
varun@strawmetal:~$ sudo apt-get install zlib1g-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  zlib1g-dev
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 165 kB of archives.
After this operation, 397 kB of additional disk space will be used.
Get:1 http://in.archive.ubuntu.com/ubuntu/ precise/main zlib1g-dev amd64 1:1.2.3.4.dfsg-3ubuntu4 [165 kB]
Fetched 165 kB in 2s (65.1 kB/s)     
Selecting previously unselected package zlib1g-dev.
(Reading database ... 180213 files and directories currently installed.)
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.4.dfsg-3ubuntu4_amd64.deb) ...
Processing triggers for man-db ...
Setting up zlib1g-dev (1:1.2.3.4.dfsg-3ubuntu4) ...
varun@strawmetal:~$ sudo apt-get install liblua5.2-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  autotools-dev libltdl-dev libreadline-dev libreadline6-dev libtinfo-dev libtool
Suggested packages:
  libtool-doc autoconf automaken gfortran fortran95-compiler gcj
The following NEW packages will be installed:
  autotools-dev libltdl-dev liblua5.2-dev libreadline-dev libreadline6-dev libtinfo-dev libtool
0 upgraded, 7 newly installed, 0 to remove and 2 not upgraded.
Need to get 1,045 kB of archives.
After this operation, 4,249 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://in.archive.ubuntu.com/ubuntu/ precise/main autotools-dev all 20120210.1ubuntu1 [42.4 kB]
Get:2 http://in.archive.ubuntu.com/ubuntu/ precise/main libltdl-dev amd64 2.4.2-1ubuntu1 [202 kB]
Get:3 http://in.archive.ubuntu.com/ubuntu/ precise/main libtinfo-dev amd64 5.9-4 [103 kB]
Get:4 http://in.archive.ubuntu.com/ubuntu/ precise/main libreadline6-dev amd64 6.2-8 [264 kB]
Get:5 http://in.archive.ubuntu.com/ubuntu/ precise/main libreadline-dev amd64 6.2-8 [932 B]
Get:6 http://in.archive.ubuntu.com/ubuntu/ precise/universe liblua5.2-dev amd64 5.2.0-2 [130 kB]
Get:7 http://in.archive.ubuntu.com/ubuntu/ precise/main libtool amd64 2.4.2-1ubuntu1 [302 kB]
Fetched 1,045 kB in 6s (151 kB/s)                                                                                                                                                                                                           
Selecting previously unselected package autotools-dev.
(Reading database ... 180241 files and directories currently installed.)
Unpacking autotools-dev (from .../autotools-dev_20120210.1ubuntu1_all.deb) ...
Selecting previously unselected package libltdl-dev.
Unpacking libltdl-dev (from .../libltdl-dev_2.4.2-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libtinfo-dev.
Unpacking libtinfo-dev (from .../libtinfo-dev_5.9-4_amd64.deb) ...
Selecting previously unselected package libreadline6-dev.
Unpacking libreadline6-dev (from .../libreadline6-dev_6.2-8_amd64.deb) ...
Selecting previously unselected package libreadline-dev.
Unpacking libreadline-dev (from .../libreadline-dev_6.2-8_amd64.deb) ...
Selecting previously unselected package liblua5.2-dev.
Unpacking liblua5.2-dev (from .../liblua5.2-dev_5.2.0-2_amd64.deb) ...
Selecting previously unselected package libtool.
Unpacking libtool (from .../libtool_2.4.2-1ubuntu1_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for install-info ...
Setting up autotools-dev (20120210.1ubuntu1) ...
Setting up libltdl-dev (2.4.2-1ubuntu1) ...
Setting up libtinfo-dev (5.9-4) ...
Setting up libreadline6-dev (6.2-8) ...
Setting up libreadline-dev (6.2-8) ...
Setting up liblua5.2-dev (5.2.0-2) ...
Setting up libtool (2.4.2-1ubuntu1) ...
varun@strawmetal:~$ wget http://www.PtokaX.org/files/0.4.2.0-nix-src.tgz
--2012-07-15 11:24:39--  http://www.PtokaX.org/files/0.4.2.0-nix-src.tgz
Resolving czdc.org (czdc.org)... 88.86.109.225
Connecting to czdc.org (czdc.org)|88.86.109.225|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 439825 (430K) [application/x-gzip]
Saving to: `0.4.2.0-nix-src.tgz'

100%[====================================================================================================================================================================================================>] 4,39,825    27.1K/s   in 16s     

2012-07-15 11:24:57 (26.4 KB/s) - `0.4.2.0-nix-src.tgz' saved [439825/439825]

varun@strawmetal:~$ tar -xf 0.4.2.0-nix-src.tgz
varun@strawmetal:~$ cd PtokaX
varun@strawmetal:~/PtokaX$ wget http://downloads.sourceforge.net/project/tinyxml/tinyxml/2.6.2/tinyxml_2_6_2.tar.gz
--2012-07-15 11:26:19--  http://downloads.sourceforge.net/project/tinyxml/tinyxml/2.6.2/tinyxml_2_6_2.tar.gz
Resolving downloads.sourceforge.net (downloads.sourceforge.net)... 216.34.181.59
Connecting to downloads.sourceforge.net (downloads.sourceforge.net)|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://nchc.dl.sourceforge.net/project/tinyxml/tinyxml/2.6.2/tinyxml_2_6_2.tar.gz [following]
--2012-07-15 11:26:20--  http://nchc.dl.sourceforge.net/project/tinyxml/tinyxml/2.6.2/tinyxml_2_6_2.tar.gz
Resolving nchc.dl.sourceforge.net (nchc.dl.sourceforge.net)... 211.79.60.17, 2001:e10:ffff:1f02::17
Connecting to nchc.dl.sourceforge.net (nchc.dl.sourceforge.net)|211.79.60.17|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 210124 (205K) [application/x-gzip]
Saving to: `tinyxml_2_6_2.tar.gz'

100%[====================================================================================================================================================================================================>] 2,10,124    82.8K/s   in 2.5s   

2012-07-15 11:26:23 (82.8 KB/s) - `tinyxml_2_6_2.tar.gz' saved [210124/210124]

varun@strawmetal:~/PtokaX$ tar -xf tinyxml_2_6_2.tar.gz
varun@strawmetal:~/PtokaX$ cd tinyxml
varun@strawmetal:~/PtokaX/tinyxml$ make
g++ -g -Wall -c /home/varun/PtokaX/tinyxml/tinystr.cpp -o /home/varun/PtokaX/tinyxml/obj/tinystr.o
g++ -g -Wall -c /home/varun/PtokaX/tinyxml/tinyxml.cpp -o /home/varun/PtokaX/tinyxml/obj/tinyxml.o
g++ -g -Wall -c /home/varun/PtokaX/tinyxml/tinyxmlerror.cpp -o /home/varun/PtokaX/tinyxml/obj/tinyxmlerror.o
g++ -g -Wall -c /home/varun/PtokaX/tinyxml/tinyxmlparser.cpp -o /home/varun/PtokaX/tinyxml/obj/tinyxmlparser.o
ar rv tinyxml.a /home/varun/PtokaX/tinyxml/obj/tinystr.o /home/varun/PtokaX/tinyxml/obj/tinyxml.o /home/varun/PtokaX/tinyxml/obj/tinyxmlerror.o /home/varun/PtokaX/tinyxml/obj/tinyxmlparser.o
ar: creating tinyxml.a
a - /home/varun/PtokaX/tinyxml/obj/tinystr.o
a - /home/varun/PtokaX/tinyxml/obj/tinyxml.o
a - /home/varun/PtokaX/tinyxml/obj/tinyxmlerror.o
a - /home/varun/PtokaX/tinyxml/obj/tinyxmlparser.o
varun@strawmetal:~/PtokaX/tinyxml$ cd ..
varun@strawmetal:~/PtokaX$ make
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/ClientTagManager.cpp -o /home/varun/PtokaX/obj/ClientTagManager.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/colUsers.cpp -o /home/varun/PtokaX/obj/colUsers.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/DcCommands.cpp -o /home/varun/PtokaX/obj/DcCommands.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/DeFlood.cpp -o /home/varun/PtokaX/obj/DeFlood.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/eventqueue.cpp -o /home/varun/PtokaX/obj/eventqueue.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/globalQueue.cpp -o /home/varun/PtokaX/obj/globalQueue.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/hashBanManager.cpp -o /home/varun/PtokaX/obj/hashBanManager.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/hashUsrManager.cpp -o /home/varun/PtokaX/obj/hashUsrManager.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/hashRegManager.cpp -o /home/varun/PtokaX/obj/hashRegManager.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/HubCommands.cpp -o /home/varun/PtokaX/obj/HubCommands.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/IP2Country.cpp -o /home/varun/PtokaX/obj/IP2Country.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/LanguageManager.cpp -o /home/varun/PtokaX/obj/LanguageManager.o
g++ -O -g -Wall -Wextra -Itinyxml -I/usr/include -I/usr/local/include -I/usr/include/lua5.2 -I/usr/pkg/include -I/usr/include/lua -I/usr/include/lua/5.2 -c /home/varun/PtokaX/core/LuaBanManLib.cpp -o /home/varun/PtokaX/obj/LuaBanManLib.o
/home/varun/PtokaX/core/LuaBanManLib.cpp:1624:14: error: ?luaL_reg? does not name a type
/home/varun/PtokaX/core/LuaBanManLib.cpp: In function ?void RegBanMan(lua_State*)?:
/home/varun/PtokaX/core/LuaBanManLib.cpp:1666:32: error: ?banman_funcs? was not declared in this scope
/home/varun/PtokaX/core/LuaBanManLib.cpp:1666:44: error: ?luaL_register? was not declared in this scope
/home/varun/PtokaX/core/LuaBanManLib.cpp: At global scope:
/home/varun/PtokaX/core/LuaBanManLib.cpp:143:12: warning: ?int Save(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:156:12: warning: ?int GetBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:203:12: warning: ?int GetTempBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:239:12: warning: ?int GetPermBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:265:12: warning: ?int GetBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:341:12: warning: ?int GetPermBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:411:12: warning: ?int GetTempBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:489:12: warning: ?int GetRangeBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:525:12: warning: ?int GetTempRangeBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:565:12: warning: ?int GetPermRangeBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:595:12: warning: ?int GetRangeBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:654:12: warning: ?int GetRangePermBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:703:12: warning: ?int GetRangeTempBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:763:12: warning: ?int Unban(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:799:12: warning: ?int UnbanPerm(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:835:12: warning: ?int UnbanTemp(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:871:12: warning: ?int UnbanAll(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:902:12: warning: ?int UnbanPermAll(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:933:12: warning: ?int UnbanTempAll(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:964:12: warning: ?int RangeUnban(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:999:12: warning: ?int RangeUnbanPerm(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1034:12: warning: ?int RangeUnbanTemp(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1069:12: warning: ?int ClearBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1084:12: warning: ?int ClearPermBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1098:12: warning: ?int ClearTempBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1112:12: warning: ?int ClearRangeBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1126:12: warning: ?int ClearRangePermBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1140:12: warning: ?int ClearRangeTempBans(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1154:12: warning: ?int Ban(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1209:12: warning: ?int BanIP(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1261:12: warning: ?int BanNick(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1327:12: warning: ?int TempBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1386:12: warning: ?int TempBanIP(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1442:12: warning: ?int TempBanNick(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1511:12: warning: ?int RangeBan(lua_State*)? defined but not used [-Wunused-function]
/home/varun/PtokaX/core/LuaBanManLib.cpp:1566:12: warning: ?int RangeTempBan(lua_State*)? defined but not used [-Wunused-function]
make: *** [/home/varun/PtokaX/obj/LuaBanManLib.o] Error 1
varun@strawmetal:~/PtokaX$
varun@strawmetal:~/PtokaX$ uname -a
Linux strawmetal 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 17:49:24 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
varun@strawmetal:~/PtokaX$


Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: Debian, PtokaX and Lua 5.2
« Reply #3 on: 15 July, 2012, 17:47:23 »
It is not working with 0.4.2.0 release. You need PtokaX from SVN  ::)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

PtokaX forum

Re: Debian, PtokaX and Lua 5.2
« Reply #3 on: 15 July, 2012, 17:47:23 »